# pair Struct Template Reference

Inheritance diagram for pair:

List of all members.

### template<class _T1, class _T2>
struct std::pair< _T1, _T2 >

## Public Types

- typedef _T1 first_type
- typedef _T2 second_type

## Public Member Functions

- template<class _U1, class _U2> pair (const pair< _U1, _U2 > &__p)
- pair (const _T1 &__a, const _T2 &__b)
- pair ()

## Public Attributes

- _T1 first
- _T2 second

## Member Typedef Documentation

typedef _T1 first_type

| `first_type` is the first bound type Definition at line 70 of file stl_pair.h.

typedef _T2 second_type

| `second_type` is the second bound type Definition at line 71 of file stl_pair.h.

## Constructor & Destructor Documentation

pair | ( |  | ) | `[inline]`

| The default constructor creates `first` and `second` using their respective default constructors. Definition at line 80 of file stl_pair.h.

pair | ( | const _T1 & | __a,
|  | const _T2 & | __b
| ) | `[inline]`

| Two objects may be passed to a `pair` constructor to be copied. Definition at line 84 of file stl_pair.h.

pair | ( | const pair< _U1, _U2 > & | __p | ) | `[inline]`

| There is also a templated copy ctor for the `pair` class itself. Definition at line 89 of file stl_pair.h.

## Member Data Documentation

_T1 first

| `first` is a copy of the first object Definition at line 73 of file stl_pair.h. Referenced by set::insert(), and std::operator==().

_T2 second

| `second` is a copy of the second object Definition at line 74 of file stl_pair.h. Referenced by set::insert(), and std::operator==().

The documentation for this struct was generated from the following file:

- stl_pair.h